services:
  api:
    build:
      context: .
      dockerfile: JSMR.Api/Dockerfile
    ports:
      - "5000:8080"
    environment:
      ASPNETCORE_ENVIRONMENT: ${ASPNETCORE_ENVIRONMENT:-Production}
      ConnectionStrings__AppDb: ${APPDB_CONN}
      Seq__ServerUrl: ${SEQ_URL:-}
    networks:
      - app-net

  web:
    build:
      context: .
      dockerfile: JSMR.UI.Blazor/Dockerfile
    ports:
      - "5001:80"
    depends_on:
      - api
    networks:
      - app-net

networks:
  app-net: {}